aboutsummaryrefslogtreecommitdiffstats
path: root/check-any-installed
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2023-11-18 23:23:40 +0100
committerMattias Andrée <maandree@kth.se>2023-11-18 23:23:40 +0100
commit0f1df0db903ba576fd17b08197d3066af7a61e5f (patch)
treea59c04307b1382257afa3c3512ec3abadf7e0e47 /check-any-installed
parentUse losetup -d instead of --detach and add clean up (diff)
downloaddotfiles-0f1df0db903ba576fd17b08197d3066af7a61e5f.tar.gz
dotfiles-0f1df0db903ba576fd17b08197d3066af7a61e5f.tar.bz2
dotfiles-0f1df0db903ba576fd17b08197d3066af7a61e5f.tar.xz
A lot of changes
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'check-any-installed')
-rwxr-xr-xcheck-any-installed25
1 files changed, 25 insertions, 0 deletions
diff --git a/check-any-installed b/check-any-installed
new file mode 100755
index 0000000..8329769
--- /dev/null
+++ b/check-any-installed
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -ue
+
+if test -r /etc/lsb-release; then
+ . /etc/lsb-release
+fi
+if test -r ~.dotfiles/.work/distrib-tweak; then
+ . ~.dotfiles/.work/distrib-tweak
+fi
+
+for pkg; do
+ if test "${DISTRIB_ID}" = Arch; then
+ if pacman -Qq -- "$pkg"; then
+ exit 0;
+ fi
+ elif test "${DISTRIB_ID}" = Ubuntu; then
+ if test "$pkg" = base || dpkg -s -- "$pkg"; then
+ exit 0;
+ fi
+ else
+ false
+ fi
+done </dev/null >/dev/null 2>/dev/null
+exit 1